Subject: bug#18669: airmon-ng cut error

From: DENIZ AYDEMIR <[email-masked]>
Date: Thu, 9 Oct 2014 17:10:30 +0300

Hi, when I try to write airmon-ng command, I get a cut error.

root@kali:~# airmon-ng

Interface    Chipset        Driver

cut: invalid byte or field list
Try `cut --help' for more information.
wlan0        Intel 1000    iwlwifi - [phy0]

However, if I try it with another wifi adapter it doesn't give cut error to
that adapter. Only to internal wifi card.

root@kali:~# airmon-ng

Interface    Chipset        Driver

wlan1        Atheros AR9271    ath9k - [phy2]
cut: invalid byte or field list
Try `cut --help' for more information.
wlan0        Intel 1000    iwlwifi - [phy0]

---------------------------------------

Interface    Chipset        Driver

mon1        Atheros AR9271    ath9k - [phy2]
wlan1        Atheros AR9271    ath9k - [phy2]
cut: invalid byte or field list
Try `cut --help' for more information.
wlan0        Intel 1000    iwlwifi - [phy0]

-----------

Interface    Chipset        Driver

cut: invalid byte or field list
Try `cut --help' for more information.
mon0        Intel 1000    iwlwifi - [phy0]
cut: invalid byte or field list
Try `cut --help' for more information.
wlan0        Intel 1000    iwlwifi - [phy0]

Sorry for the inconvenience, but can you please suggest me something ?
Thank you in advance.
Regards,
Deniz.